/* start design framework */
:root {
  --primary-font: Sarabun, Avenir, Helvetica, Arial, sans-serif;

  --color-primary: #6610f2;
  --color-secondary: #fb5607;
  --color-dark-bg: #0d1448;
  --color-dividers: #eeeff0;
  --color-dark-dividers: #090E33;
  --color-light-bg: #f6f6f8;
  --color-white: #ffffff;
  --color-dark-text: #2a2d43;
  --color-light-text: #808a9f;
  --color-disabled: #808a9f;
  --color-black: #000000;
  
  --color-off-white: #f8f5f3;
  --color-black-new: #1d1916;
  --color-dark-grey: #050303;
  --color-light-grey: #a09a95;
  --color-dark-purple: #3b1f52;
  --color-purple: #8a22a5;
  --color-light-purple: #c399d7;
  --color-dark-blue: #3734a3;
  --color-blue: #9197bd;
  --color-light-blue: #dbdff5;



  --spacing-0: 0.25rem;
  --spacing-1: 0.5rem;
  --spacing-2: 0.75rem;
  --spacing-3: 1rem;
  --spacing-4: 1.5rem;
  --spacing-5: 2rem;
  --spacing-section: calc(128px - 2rem);
  --spacing-max-content-width: 85rem;

  --border-radius-1: 2px;
  --border-radius-2: 4px;
  --border-radius-3: 8px;

  --fs-1: 0.8571rem; // 12px
  --fs-2: 1rem; // 14px
  --fs-3: 1.1428rem; // 16px
  --fs-4: 1.2857rem; // 18px
  --fs-5: 1.7142rem; // 24px
}

.text-title-1 {
  font-family: var(--primary-font);
  font-weight: bold;
  font-size: 40px;
  line-height: 52px;
}

.text-title-2 {
  font-family: var(--primary-font);
  font-weight: bold;
  font-size: 32px;
  color: var(--color-dark-blue);
  line-height: 42px;
}

.text-title-3 {
  font-family: var(--primary-font);
  font-weight: bold;
  font-size: 28px;
  line-height: 36px;
}

.text-title-4 {
  font-family: var(--primary-font);
  font-weight: bold;
  font-size: 24px;
  line-height: 31px;
}

.text-body-1 {
  font-family: var(--primary-font);
  font-weight: normal;
  font-size: 20px;
  line-height: 32px;
}

.text-body-2 {
  font-family: var(--primary-font);
  font-weight: normal;
  font-size: 18px;
  line-height: 30px;
}

/* end design framework */

/* start style reset */
html {
  font-size: 14px;
}

button {
  padding: 0;
}
/* end style reset */

/* start quasar colors */
/* https://quasar.dev/style/color-palette#Adding-Your-Own-Colors */
/* we can maybe remove the !importants if we move this to another file */
.text-purple-highlight {
  color: var(--color-primary) !important;
}

.bg-purple-highlight {
  background: var(--color-primary) !important;
}

.text-faded-gray {
  color: var(--color-light-text) !important;
}

.bg-faded-gray {
  background: var(--color-light-text) !important;
}
/* end quasar colors */

/* start global styles */
.input-card {
  width: 100%;
  border: solid 2px var(--color-light-text);
  border-radius: var(--border-radius-1);
  display: flex;
  align-items: center;
  background: var(--color-white);
}
/* end global styles */

